## javanet.staxutils.events
Class EntityReferenceEvent

    java.lang.Object
      javanet.staxutils.events.AbstractXMLEvent
          javanet.staxutils.events.EntityReferenceEvent

All Implemented Interfaces:
  Serializable, Cloneable, ExtendedXMLEvent, EntityReference, XMLEvent, XMLStreamConstants

    public class EntityReferenceEvent

extends AbstractXMLEvent
implements EntityReference

`EntityReference` event implementation.

Version:
  $Revision: 1.2 $
Author:
  Christian Niles
See Also:
  Serialized Form

Field Summary
`protected EntityDeclaration` `declaration` The referenced entity declaration.
`protected String` `name` The referenced entity name.

Fields inherited from class javanet.staxutils.events.AbstractXMLEvent
`location, schemaType`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`EntityReferenceEvent(EntityReference that)`
`EntityReferenceEvent(String name, EntityDeclaration declaration)`
`EntityReferenceEvent(String name, EntityDeclaration declaration, Location location)`

Method Summary
`EntityDeclaration` `getDeclaration()`
`int` `getEventType()` Returns `XMLStreamConstants.ENTITY_REFERENCE`.
`String` `getName()`

Methods inherited from class javanet.staxutils.events.AbstractXMLEvent
`asCharacters, asEndElement, asStartElement, clone, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, matches, toString, writeAsEncodedUnicode, writeEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Field Detail

### name

    protected String name

  The referenced entity name.

### declaration

    protected EntityDeclaration declaration

  The referenced entity declaration.

Constructor Detail

### EntityReferenceEvent

    public EntityReferenceEvent(String name,
                                EntityDeclaration declaration)

### EntityReferenceEvent

    public EntityReferenceEvent(String name,
                                EntityDeclaration declaration,
                                Location location)

### EntityReferenceEvent

    public EntityReferenceEvent(EntityReference that)

Method Detail

### getDeclaration

    public EntityDeclaration getDeclaration()

  Specified by:
    `getDeclaration` in interface `EntityReference`

### getName

    public String getName()

  Specified by:
    `getName` in interface `EntityReference`

### getEventType

    public int getEventType()

  Returns `XMLStreamConstants.ENTITY_REFERENCE`.

  Specified by:
    `getEventType` in interface `XMLEvent`